Bug 214184 - mkinitrd forgets about lvm.static when using root partition label
mkinitrd forgets about lvm.static when using root partition label
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
6
All Linux
medium Severity high
: ---
: ---
Assigned To: Peter Jones
David Lawrence
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-06 08:57 EST by Didier
Modified: 2008-05-06 12:43 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 12:43:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
mkinitrd log with root partition label (3.80 KB, text/plain)
2006-11-13 04:18 EST, Didier
no flags Details
mkinitrd log without root partition label (3.83 KB, text/plain)
2006-11-13 04:19 EST, Didier
no flags Details

  None (edit)
Description Didier 2006-11-06 08:57:03 EST
Description of problem:
When an LVM'ed root partition in /etc/fstab is mounted using a a label tag
(LABEL=...), mkinitrd does not add lvm.static to the initrd.img, leading to an
unbootable system.

Version-Release number of selected component (if applicable):
mkinitrd-5.1.19-1

How reproducible:
Always

Steps to Reproduce:
1. use LABEL=... for LVM'ed root partition in /etc/fstab
2. install new kernel, thereby invoking mkinitrd
3. boot new kernel
  
Actual results:
Kernel panic (root fs not found).

Expected results:
mkinit should check a labelled root mount in /etc/fstab for LVM, and
consequently include lvm.static in the initrd image.


Additional info:

- This inflicted major pain twice on me when :
1. Upgrading from FC5 to FC6 ;
2. upgrading the i586 kernel to the i686 kernel (due to another FC6 bug).

For each invocation, I needed to boot the rescue disk twice (with an
intermediate label removal from /etc/fstab) to forcibly include lvm.static in
/boot/initrd-...img.
Comment 1 Didier 2006-11-13 04:16:08 EST
Reproduced with kernel-2.6.18-1.2849.fc6 and kernel-xen-2.6.18-1.2849.fc6.

1. With labeled root partition in /etc/fstab :
     LABEL=ROOT / ext3 defaults 1 1

# stat /boot/initrd-2.6.18-1.2849.fc6.img :
   Size: 1575237


2. With no labeled root partition in /etc/fstab :
     /dev/mapper/VolGrp00-LogVol00_root / ext3 defaults 1 1

# mkinitrd -v -f /boot/initrd-2.6.18-1.2849.fc6.img 2.6.18-1.2849.fc6 >
mkinitrd.out_root-lvm-nolabel
# stat /boot/initrd-2.6.18-1.2849.fc6.img :
   Size: 2211758


Comment 2 Didier 2006-11-13 04:18:32 EST
Created attachment 141025 [details]
mkinitrd log with root partition label

# mkinitrd -v -f /boot/initrd-2.6.18-1.2849.fc6.img 2.6.18-1.2849.fc6 >
mkinitrd.out_root-lvm-label

-> lvm.static is NOT included , kernel panic when booting
Comment 3 Didier 2006-11-13 04:19:30 EST
Created attachment 141026 [details]
mkinitrd log without root partition label

# mkinitrd -v -f /boot/initrd-2.6.18-1.2849.fc6.img 2.6.18-1.2849.fc6 >
mkinitrd.out_root-lvm-nolabel

-> lvm.static is included , no kernel panic
Comment 4 Didier 2006-11-13 04:21:36 EST
Comment on attachment 141026 [details]
mkinitrd log without root partition label

# mkinitrd -v -f /boot/initrd-2.6.18-1.2849.fc6.img 2.6.18-1.2849.fc6 >
mkinitrd.out_root-lvm-nolabel

-> lvm.static is included , no kernel panic
Comment 5 Didier 2007-06-08 03:24:11 EDT
This bug still exists in F7 GA :

Installing F7 (fresh install, no upgrade) on pre-existing LVM Logical Volumes,
which have e2labels assigned to them.

/etc/fstab refers to the e2label for the root partition ; mkinitrd does not
contain lvm.static, hence a panic when booting.


Comment 6 Bug Zapper 2008-04-04 00:28:16 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 7 Rubin Simons 2008-04-23 10:28:17 EDT
I can confirm this bug still exists in RHEL 4 ES U5. I ran into it last week;
specify root as "LABEL=/" in /etc/fstab; watch mkinitrd skip lvm-specific steps
like copying {lvm.static, lvm.conf} and including more than only the dm-mod
module. It seems to me that bugs #209473, #212124, #246626, #294051, #327181 and
#426671 are related to this (not sure if they're strictly dupes).
Comment 8 Bug Zapper 2008-05-06 12:43:17 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.